# Copyright (c) 2000-2013, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define section  free
%define oname    lucene
%define _binary_payload w9.gzdio
%define _source_payload w9.gzdio
%define _binary_filedigest_algorithm 1
%define _source_filedigest_algorithm 1

Name:           lucene3
Version:        3.0.3
Release:        3%{?dist}
Epoch:          0
Summary:        High-performance, full-featured text search engine
License:        ASL 2.0
Group:          Internet/WWW/Indexing/Search
URL:            http://lucene.apache.org/
Source0:        http://www.apache.org/dist/lucene/java/3.0.3/lucene-3.0.3-src.tar.gz
Source1:        http://repo1.maven.org/maven2/org/apache/lucene/lucene-analyzers/3.0.3/lucene-analyzers-3.0.3.pom
Source2:        http://repo1.maven.org/maven2/org/apache/lucene/lucene-ant/3.0.3/lucene-ant-3.0.3.pom
Source3:        http://repo1.maven.org/maven2/org/apache/lucene/lucene-bdb/3.0.3/lucene-bdb-3.0.3.pom
Source4:        http://repo1.maven.org/maven2/org/apache/lucene/lucene-bdb-je/3.0.3/lucene-bdb-je-3.0.3.pom
Source5:        http://repo1.maven.org/maven2/org/apache/lucene/lucene-benchmark/3.0.3/lucene-benchmark-3.0.3.pom
Source6:        http://repo1.maven.org/maven2/org/apache/lucene/lucene-contrib/3.0.3/lucene-contrib-3.0.3.pom
Source7:        http://repo1.maven.org/maven2/org/apache/lucene/lucene-core/3.0.3/lucene-core-3.0.3.pom
Source8:        http://repo1.maven.org/maven2/org/apache/lucene/lucene-demos/3.0.3/lucene-demos-3.0.3.pom
Source9:        http://repo1.maven.org/maven2/org/apache/lucene/lucene-highlighter/3.0.3/lucene-highlighter-3.0.3.pom
Source10:       http://repo1.maven.org/maven2/org/apache/lucene/lucene-lucli/3.0.3/lucene-lucli-3.0.3.pom
Source11:       http://repo1.maven.org/maven2/org/apache/lucene/lucene-memory/3.0.3/lucene-memory-3.0.3.pom
Source12:       http://repo1.maven.org/maven2/org/apache/lucene/lucene-misc/3.0.3/lucene-misc-3.0.3.pom
Source13:       http://repo1.maven.org/maven2/org/apache/lucene/lucene-parent/3.0.3/lucene-parent-3.0.3.pom
Source14:       http://repo1.maven.org/maven2/org/apache/lucene/lucene-queries/3.0.3/lucene-queries-3.0.3.pom
Source15:       http://repo1.maven.org/maven2/org/apache/lucene/lucene-regex/3.0.3/lucene-regex-3.0.3.pom
Source16:       http://repo1.maven.org/maven2/org/apache/lucene/lucene-snowball/3.0.3/lucene-snowball-3.0.3.pom
Source17:       http://repo1.maven.org/maven2/org/apache/lucene/lucene-spellchecker/3.0.3/lucene-spellchecker-3.0.3.pom
Source18:       http://repo1.maven.org/maven2/org/apache/lucene/lucene-surround/3.0.3/lucene-surround-3.0.3.pom
Source19:       http://repo1.maven.org/maven2/org/apache/lucene/lucene-swing/3.0.3/lucene-swing-3.0.3.pom
# Source20:       http://repo1.maven.org/maven2/org/apache/lucene/lucene-wikipedia/2.3.2/lucene-wikipedia-2.3.2.pom
Source21:       http://repo1.maven.org/maven2/org/apache/lucene/lucene-wordnet/3.0.3/lucene-wordnet-3.0.3.pom
Source22:       http://repo1.maven.org/maven2/org/apache/lucene/lucene-xml-query-parser/3.0.3/lucene-xml-query-parser-3.0.3.pom
Source23:       http://repo1.maven.org/maven2/org/apache/lucene/lucene-smartcn/3.0.3/lucene-smartcn-3.0.3.pom
Patch0:         lucene-no-classpath-in-manifest.patch
Requires(post): jpackage-utils >= 0:1.7.3
Requires(postun): jpackage-utils >= 0:1.7.3
BuildRequires:  ant >= 0:1.6
BuildRequires:  ant-junit >= 0:1.6
%if %with db
BuildRequires:  berkeleydb >= 0:2.0.90
# FIXME: (dwalluck): db support requires berkeleydb-native (berkeleydb-native.jar) in JPP17, db4-java (db.jar) in Fedora, db4.7 (db4.7.jar) in Mandriva
# BuildRequires:  berkeleydb-native
BuildRequires:  db4-java
%endif
BuildRequires:  apache-commons-beanutils
BuildRequires:  apache-commons-collections
BuildRequires:  apache-commons-compress
BuildRequires:  apache-commons-digester
BuildRequires:  apache-commons-logging
BuildRequires:  berkeleydb
BuildRequires:  icu4j
BuildRequires:  java-devel >= 0:1.6.0
BuildRequires:  java-javadoc
BuildRequires:  jline
BuildRequires:  jtidy
BuildRequires:  jpackage-utils >= 0:1.7.5
BuildRequires:  junit
BuildRequires:  regexp
BuildRequires:  servlet_2_4_api
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
Jakarta Lucene is a high-performance, full-featured text search engine
written entirely in Java. It is a technology suitable for nearly any
application that requires full-text search, especially cross-platform.

%package javadoc
Summary:        Javadoc for Lucene
Group:          Development/Documentation

%description javadoc
%{summary}.

%package demo
Summary:        Lucene demonstration library
Group:          Internet/WWW/Indexing/Search
Requires:       %{name} = %{epoch}:%{version}-%{release}

%description demo
%{summary}.

%package contrib
Summary:        Lucene contributed extensions
Group:          Internet/WWW/Indexing/Search
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       jline

%description contrib
%{summary}.

%package contrib-benchmark
Summary:        Lucene contributed benchmark
Group:          Internet/WWW/Indexing/Search
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       jakarta-commons-beanutils
Requires:       jakarta-commons-collections
Requires:       jakarta-commons-digester
Requires:       jakarta-commons-logging
Requires:       xerces-j2
Requires:       xml-commons-jaxp-1.3-apis

%description contrib-benchmark
%{summary}.

%package contrib-db
Summary:        Lucene contributed bdb extensions
Group:          Internet/WWW/Indexing/Search
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       berkeleydb >= 0:2.0.90
# Requires:       berkeleydb-native
Requires:       db4-java

%description contrib-db
%{summary}.

%prep
%setup -q -n %{oname}-%{version}
%patch0 -p0
for j in $(find . -name "*.jar"); do
    mv $j $j.no
done
ln -sf $(build-classpath commons-beanutils) contrib/benchmark/lib/
#ln -sf $(build-classpath commons-beanutils) contrib/benchmark/lib/commons-beanutils-1.7.0.jar
# ./contrib/benchmark/lib/commons-beanutils-1.7.0.jar 
# ./contrib/benchmark/lib/xerces-2.9.1-patched-XERCESJ-1257.jar 
ln -sf $(build-classpath commons-digester) contrib/benchmark/lib/
#ln -sf $(build-classpath commons-digester) contrib/benchmark/lib/commons-digester-1.7.jar
# ./contrib/benchmark/lib/commons-digester-1.7.jar 
ln -sf $(build-classpath commons-collections) contrib/benchmark/lib/
#ln -sf $(build-classpath commons-collections) contrib/benchmark/lib/commons-collections-3.1.jar
# ./contrib/benchmark/lib/commons-collections-3.1.jar 
ln -sf $(build-classpath commons-compress) contrib/benchmark/lib/
#ln -sf $(build-classpath commons-compress) contrib/benchmark/lib/commons-compress-1.0.jar
# ./contrib/benchmark/lib/commons-compress-1.0.jar 
# ./contrib/benchmark/lib/xml-apis-2.9.0.jar 
ln -sf $(build-classpath commons-logging) contrib/benchmark/lib/
#ln -sf $(build-classpath commons-logging) contrib/benchmark/lib/commons-logging-1.0.4.jar
# ./contrib/benchmark/lib/commons-logging-1.0.4.jar 
ln -sf $(build-classpath regexp) contrib/benchmark/lib/
#ln -sf $(build-classpath regexp) contrib/benchmark/lib/jakarta-regexp-1.4.jar
# ./contrib/regex/lib/jakarta-regexp-1.4.jar 
#ln -sf $(build-classpath icu4j) contrib/collation/lib/
ln -sf $(build-classpath icu4j) contrib/collation/lib/icu4j-collation-4.0.jar
# ./contrib/collation/lib/icu4j-collation-4.0.jar 
ln -sf $(build-classpath jtidy) contrib/ant/lib/
#ln -sf $(build-classpath jtidy) contrib/ant/lib/Tidy.jar
# ./contrib/ant/lib/Tidy.jar 
ln -sf $(build-classpath jline) contrib/lucli/lib/
#ln -sf $(build-classpath jline) contrib/lucli/lib/jline.jar
# ./contrib/lucli/lib/jline.jar 
ln -sf $(build-classpath servlet_2_4_api) lib/
#ln -sf $(build-classpath servlet_2_4_api) lib/servlet-api-2.4.jar
# ./lib/servlet-api-2.4.jar 
ln -sf $(build-classpath junit) lib/
#ln -sf $(build-classpath junit) lib/junit-3.8.2.jar
# ./lib/junit-3.8.2.jar 


%build
# berkeleydb-native or db
export CLASSPATH=$(build-classpath \
berkeleydb \
db \
commons-digester jline jtidy junit regexp)

export OPT_JAR_LIST=:
ant \
  -Djavacc.home=%{_bindir}/javacc \
  -Djavacc.jar=%{_javadir}/javacc.jar \
  -Djavacc.jar.dir=%{_javadir} \
  -Djavadoc.link=%{_javadocdir}/java \
  -Dversion=%{version} \
package-all-binary

%install
rm -rf %{buildroot}

# jars
install -d -m 0755 %{buildroot}%{_javadir}
install -p -m 0644 build/%{oname}-core-%{version}.jar %{buildroot}%{_javadir}/%{name}-%{version}.jar
install -p -m 0644 build/%{oname}-demos-%{version}.jar %{buildroot}%{_javadir}/%{name}-demos-%{version}.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)

# contrib jars
install -d -m 0755 %{buildroot}%{_javadir}/%{name}-contrib

install -m 0644 build/contrib/analyzers/common/%{oname}-analyzers-%{version}.jar \
                %{buildroot}%{_javadir}/%{name}-contrib/analyzers-%{version}.jar
install -m 0644 build/contrib/analyzers/smartcn/%{oname}-smartcn-%{version}.jar \
                %{buildroot}%{_javadir}/%{name}-contrib/smartcn-%{version}.jar
install -m 0644 build/contrib/ant/%{oname}-ant-%{version}.jar \
                %{buildroot}%{_javadir}/%{name}-contrib/ant-%{version}.jar
install -m 0644 build/contrib/benchmark/%{oname}-benchmark-%{version}.jar \
                %{buildroot}%{_javadir}/%{name}-contrib/benchmark-%{version}.jar
install -m 0644 build/contrib/collation/%{oname}-collation-%{version}.jar \
                %{buildroot}%{_javadir}/%{name}-contrib/collation-%{version}.jar
install -m 0644 build/contrib/fast-vector-highlighter/%{oname}-fast-vector-highlighter-%{version}.jar \
                %{buildroot}%{_javadir}/%{name}-contrib/fast-vector-highlighter-%{version}.jar
install -m 0644 build/contrib/highlighter/%{oname}-highlighter-%{version}.jar \
                %{buildroot}%{_javadir}/%{name}-contrib/highlighter-%{version}.jar
install -m 0644 build/contrib/instantiated/%{oname}-instantiated-%{version}.jar \
                %{buildroot}%{_javadir}/%{name}-contrib/instantiated-%{version}.jar
install -m 0644 build/contrib/lucli/%{oname}-lucli-%{version}.jar \
                %{buildroot}%{_javadir}/%{name}-contrib/lucli-%{version}.jar
install -m 0644 build/contrib/memory/%{oname}-memory-%{version}.jar \
                %{buildroot}%{_javadir}/%{name}-contrib/memory-%{version}.jar
install -m 0644 build/contrib/misc/%{oname}-misc-%{version}.jar \
                %{buildroot}%{_javadir}/%{name}-contrib/misc-%{version}.jar
install -m 0644 build/contrib/queries/%{oname}-queries-%{version}.jar \
                %{buildroot}%{_javadir}/%{name}-contrib/queries-%{version}.jar
install -m 0644 build/contrib/queryparser/%{oname}-queryparser-%{version}.jar \
                %{buildroot}%{_javadir}/%{name}-contrib/queryparser-%{version}.jar
install -m 0644 build/contrib/regex/%{oname}-regex-%{version}.jar \
                %{buildroot}%{_javadir}/%{name}-contrib/regex-%{version}.jar
install -m 0644 build/contrib/remote/%{oname}-remote-%{version}.jar \
                %{buildroot}%{_javadir}/%{name}-contrib/remote-%{version}.jar
install -m 0644 build/contrib/snowball/%{oname}-snowball-%{version}.jar \
                %{buildroot}%{_javadir}/%{name}-contrib/snowball-%{version}.jar
install -m 0644 build/contrib/spatial/%{oname}-spatial-%{version}.jar \
                %{buildroot}%{_javadir}/%{name}-contrib/spatial-%{version}.jar
install -m 0644 build/contrib/spellchecker/%{oname}-spellchecker-%{version}.jar \
                %{buildroot}%{_javadir}/%{name}-contrib/spellchecker-%{version}.jar
install -m 0644 build/contrib/surround/%{oname}-surround-%{version}.jar \
                %{buildroot}%{_javadir}/%{name}-contrib/surround-%{version}.jar
install -m 0644 build/contrib/swing/%{oname}-swing-%{version}.jar \
                %{buildroot}%{_javadir}/%{name}-contrib/swing-%{version}.jar
install -m 0644 build/contrib/wikipedia/%{oname}-wikipedia-%{version}.jar \
                %{buildroot}%{_javadir}/%{name}-contrib/wikipedia-%{version}.jar
install -m 0644 build/contrib/wordnet/%{oname}-wordnet-%{version}.jar \
                %{buildroot}%{_javadir}/%{name}-contrib/wordnet-%{version}.jar
install -m 0644 build/contrib/xml-query-parser/%{oname}-xml-query-parser-%{version}.jar \
                %{buildroot}%{_javadir}/%{name}-contrib/xml-query-parser-%{version}.jar

(cd %{buildroot}%{_javadir}/%{name}-contrib && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)

# benchmark contrib jars
install -d -m 0755 %{buildroot}%{_javadir}/%{name}-contrib-benchmark
install -p -m 0644 build/contrib/benchmark/%{oname}-benchmark-%{version}.jar \
                %{buildroot}%{_javadir}/%{name}-contrib-benchmark/benchmark-%{version}.jar
(cd %{buildroot}%{_javadir}/%{name}-contrib-benchmark && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)

# bdb contrib jars
install -d -m 0755 %{buildroot}%{_javadir}/%{name}-contrib-db
install -p -m 0644 build/contrib/db/bdb/%{oname}-bdb-%{version}.jar \
                %{buildroot}%{_javadir}/%{name}-contrib-db/bdb-%{version}.jar
install -p -m 0644 build/contrib/db/bdb-je/%{oname}-bdb-je-%{version}.jar \
                %{buildroot}%{_javadir}/%{name}-contrib-db/bdb-je-%{version}.jar
(cd %{buildroot}%{_javadir}/%{name}-contrib-db && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)
# poms
install -d -m 0755 %{buildroot}%{_datadir}/maven2/poms
install -p -m 0644 %{SOURCE1} %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-contrib-analyzers.pom
%add_to_maven_depmap org.apache.lucene lucene-analyzers %{version} JPP/%{name}-contrib analyzers
install -p -m 0644 %{SOURCE2} %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-contrib-ant.pom
%add_to_maven_depmap org.apache.lucene lucene-ant %{version} JPP/%{name}-contrib ant
install -p -m 0644 %{SOURCE3} %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-contrib-db-bdb.pom
%add_to_maven_depmap org.apache.lucene lucene-bdb %{version} JPP/%{name}-contrib-db bdb
install -p -m 0644 %{SOURCE4} %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-contrib-db-bdb-je.pom
%add_to_maven_depmap org.apache.lucene lucene-bdb-je %{version} JPP/%{name}-contrib-db bdb-je
install -p -m 0644 %{SOURCE5} %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-contrib-benchmark-benchmark.pom
%add_to_maven_depmap org.apache.lucene lucene-benchmark %{version} JPP/%{name}-contrib-benchmark benchmark
install -p -m 0644 %{SOURCE6} %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-contrib.pom
%add_to_maven_depmap org.apache.lucene lucene-contrib %{version} JPP/%{name} contrib
install -p -m 0644 %{SOURCE7} %{buildroot}%{_datadir}/maven2/poms/JPP-%{name}.pom
%add_to_maven_depmap org.apache.lucene lucene-core %{version} JPP %{name}
install -p -m 0644 %{SOURCE8} %{buildroot}%{_datadir}/maven2/poms/JPP-%{name}-demos.pom
%add_to_maven_depmap org.apache.lucene lucene-demos %{version} JPP %{name}-demos
install -p -m 0644 %{SOURCE9} %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-contrib-highlighter.pom
%add_to_maven_depmap org.apache.lucene lucene-highlighter %{version} JPP/%{name}-contrib highlighter
install -p -m 0644 %{SOURCE10} %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-contrib-lucli.pom
%add_to_maven_depmap org.apache.lucene lucene-lucli %{version} JPP/%{name}-contrib lucli
install -p -m 0644 %{SOURCE11} %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-contrib-memory.pom
%add_to_maven_depmap org.apache.lucene lucene-memory %{version} JPP/%{name}-contrib memory
install -p -m 0644 %{SOURCE12} %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-contrib-misc.pom
%add_to_maven_depmap org.apache.lucene lucene-misc %{version} JPP/%{name}-contrib misc
install -p -m 0644 %{SOURCE13} %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-parent.pom
%add_to_maven_depmap org.apache.lucene lucene-parent %{version} JPP/%{name} parent
install -p -m 0644 %{SOURCE14} %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-contrib-queries.pom
%add_to_maven_depmap org.apache.lucene lucene-queries %{version} JPP/%{name}-contrib queries
install -p -m 0644 %{SOURCE15} %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-contrib-regexp.pom
%add_to_maven_depmap org.apache.lucene lucene-regexp %{version} JPP/%{name}-contrib regexp
install -p -m 0644 %{SOURCE16} %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-contrib-snowball.pom
%add_to_maven_depmap org.apache.lucene lucene-snowball %{version} JPP/%{name}-contrib snowball
install -p -m 0644 %{SOURCE17} %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-contrib-spellchecker.pom
%add_to_maven_depmap org.apache.lucene lucene-spellchecker %{version} JPP/%{name}-contrib spellchecker
install -p -m 0644 %{SOURCE18} %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-contrib-surround.pom
%add_to_maven_depmap org.apache.lucene lucene-surround %{version} JPP/%{name}-contrib surround
install -p -m 0644 %{SOURCE19} %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-contrib-swing.pom
%add_to_maven_depmap org.apache.lucene lucene-swing %{version} JPP/%{name}-contrib swing
install -p -m 0644 %{SOURCE21} %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-contrib-wordnet.pom
%add_to_maven_depmap org.apache.lucene lucene-wordnet %{version} JPP/%{name}-contrib wordnet
install -p -m 0644 %{SOURCE22} %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-contrib-xml-query-parser.pom
%add_to_maven_depmap org.apache.lucene lucene-xml-query-parser %{version} JPP/%{name}-contrib xml-query-parser
install -p -m 0644 %{SOURCE23} %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-contrib-smartcn.pom
%add_to_maven_depmap org.apache.lucene lucene-smartcn %{version} JPP/%{name}-contrib smartcn

# javadoc
install -d -m 0755 %{buildroot}%{_javadocdir}/%{name}-%{version}
cp -pr build/docs/api/* \
  %{buildroot}%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} %{buildroot}%{_javadocdir}/%{name}

# webapp
install -d -m 0755 %{buildroot}%{_datadir}/%{name}-%{version}
install -p -m 0644 build/%{oname}web.war \
  %{buildroot}%{_datadir}/%{name}-%{version}

%clean
rm -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%doc CHANGES.txt LICENSE.txt README.txt
%{_javadir}/%{name}-%{version}.jar
%{_javadir}/%{name}.jar
%{_datadir}/%{name}-%{version}
%{_datadir}/maven2/poms/*
%{_mavendepmapfragdir}/*

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}

%files contrib
%defattr(0644,root,root,0755)
%dir %{_javadir}/%{name}-contrib
%{_javadir}/%{name}-contrib/analyzers-%{version}.jar
%{_javadir}/%{name}-contrib/analyzers.jar
%{_javadir}/%{name}-contrib/ant-%{version}.jar
%{_javadir}/%{name}-contrib/ant.jar
%{_javadir}/%{name}-contrib/benchmark-%{version}.jar
%{_javadir}/%{name}-contrib/benchmark.jar
%{_javadir}/%{name}-contrib/collation-%{version}.jar
%{_javadir}/%{name}-contrib/collation.jar
%{_javadir}/%{name}-contrib/fast-vector-highlighter-%{version}.jar
%{_javadir}/%{name}-contrib/fast-vector-highlighter.jar
%{_javadir}/%{name}-contrib/highlighter-%{version}.jar
%{_javadir}/%{name}-contrib/highlighter.jar
%{_javadir}/%{name}-contrib/instantiated-%{version}.jar
%{_javadir}/%{name}-contrib/instantiated.jar
%{_javadir}/%{name}-contrib/lucli-%{version}.jar
%{_javadir}/%{name}-contrib/lucli.jar
%{_javadir}/%{name}-contrib/memory-%{version}.jar
%{_javadir}/%{name}-contrib/memory.jar
%{_javadir}/%{name}-contrib/misc-%{version}.jar
%{_javadir}/%{name}-contrib/misc.jar
%{_javadir}/%{name}-contrib/queries-%{version}.jar
%{_javadir}/%{name}-contrib/queries.jar
%{_javadir}/%{name}-contrib/queryparser-%{version}.jar
%{_javadir}/%{name}-contrib/queryparser.jar
%{_javadir}/%{name}-contrib/regex-%{version}.jar
%{_javadir}/%{name}-contrib/regex.jar
%{_javadir}/%{name}-contrib/remote-%{version}.jar
%{_javadir}/%{name}-contrib/remote.jar
%{_javadir}/%{name}-contrib/smartcn-%{version}.jar
%{_javadir}/%{name}-contrib/smartcn.jar
%{_javadir}/%{name}-contrib/snowball-%{version}.jar
%{_javadir}/%{name}-contrib/snowball.jar
%{_javadir}/%{name}-contrib/spatial-%{version}.jar
%{_javadir}/%{name}-contrib/spatial.jar
%{_javadir}/%{name}-contrib/spellchecker-%{version}.jar
%{_javadir}/%{name}-contrib/spellchecker.jar
%{_javadir}/%{name}-contrib/surround-%{version}.jar
%{_javadir}/%{name}-contrib/surround.jar
%{_javadir}/%{name}-contrib/swing-%{version}.jar
%{_javadir}/%{name}-contrib/swing.jar
%{_javadir}/%{name}-contrib/wikipedia-%{version}.jar
%{_javadir}/%{name}-contrib/wikipedia.jar
%{_javadir}/%{name}-contrib/wordnet-%{version}.jar
%{_javadir}/%{name}-contrib/wordnet.jar
%{_javadir}/%{name}-contrib/xml-query-parser-%{version}.jar
%{_javadir}/%{name}-contrib/xml-query-parser.jar

%files contrib-benchmark
%defattr(0644,root,root,0755)
%{_javadir}/%{name}-contrib-benchmark

%files contrib-db
%defattr(0644,root,root,0755)
%{_javadir}/%{name}-contrib-db

%files demo
%defattr(0644,root,root,0755)
%{_javadir}/%{name}-demos-%{version}.jar
%{_javadir}/%{name}-demos.jar

%changelog
* Tue Feb 05 2013 Ralph Apel <r.apel at r-apel.de> 0:3.0.3-3
- Prevent xzpayload problem

* Thu Jan 24 2013 Ralph Apel <r.apel at r-apel.de> 0:3.0.3-2
- fix smartcn files

* Sun Oct 02 2011 Ralph Apel <r.apel at r-apel.de> 0:3.0.3-1
- lucene30

